<?php
/**
 * Featured Classes options.
 *
 * @package UniKids
 */

$default = unikids_get_default_theme_options();

// Featured Featured Classes Section
$wp_customize->add_section( 'section_featured_classes',
	array(
	'title'      => __( 'Sparks of knowledge', 'unikids' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'home_page_panel',
	)
);

// Enable Featured Classes Section
$wp_customize->add_setting('theme_options[enable_featured_classes_section]', 
	array(
	'default' 			=> $default['enable_featured_classes_section'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'unikids_sanitize_checkbox'
	)
);

$wp_customize->add_control('theme_options[enable_featured_classes_section]', 
	array(		
	'label' 	=> __('Enable Section', 'unikids'),
	'section' 	=> 'section_featured_classes',
	'settings'  => 'theme_options[enable_featured_classes_section]',
	'type' 		=> 'checkbox',	
	)
);

// Section Title
$wp_customize->add_setting('theme_options[featured_classes_section_title]', 
	array(
	'default'           => $default['featured_classes_section_title'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);

$wp_customize->add_control('theme_options[featured_classes_section_title]', 
	array(
	'label'       => __('Section Title', 'unikids'),
	'section'     => 'section_featured_classes',   
	'settings'    => 'theme_options[featured_classes_section_title]',	
	'type'        => 'text'
	)
);

// Section Sub-title
$wp_customize->add_setting('theme_options[featured_classes_section_subtitle]', 
	array(
	'default'           => $default['featured_classes_section_subtitle'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);

$wp_customize->add_control('theme_options[featured_classes_section_subtitle]', 
	array(
	'label'       => __('Section Sub Title', 'unikids'),
	'section'     => 'section_featured_classes',   
	'settings'    => 'theme_options[featured_classes_section_subtitle]',	
	'type'        => 'text'
	)
);

// Number of items
$wp_customize->add_setting('theme_options[number_of_featured_classes_items]', 
	array(
	'default' 			=> $default['number_of_featured_classes_items'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'unikids_sanitize_number_range'
	)
);

$wp_customize->add_control('theme_options[number_of_featured_classes_items]', 
	array(
	'label'       => __('Number Of Items', 'unikids'),
	'description' => __('Save & Refresh the customizer to see its effect. Maximum is 50.', 'unikids'),
	'section'     => 'section_featured_classes',   
	'settings'    => 'theme_options[number_of_featured_classes_items]',		
	'type'        => 'number',
	'input_attrs' => array(
			'min'	=> 1,
			'max'	=> 50,
			'step'	=> 1,
		),
	)
);

$number_of_featured_classes_items = unikids_get_option( 'number_of_featured_classes_items' );

for( $i=1; $i<=$number_of_featured_classes_items; $i++ ) {

	// Page
	$wp_customize->add_setting('theme_options[featured_classes_page_'.$i.']', 
		array(
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',	
		'sanitize_callback' => 'unikids_dropdown_pages'
		)
	);

	$wp_customize->add_control('theme_options[featured_classes_page_'.$i.']', 
		array(
		'label'       => sprintf( __('Select Page #%1$s', 'unikids'), $i),
		'section'     => 'section_featured_classes',   
		'settings'    => 'theme_options[featured_classes_page_'.$i.']',		
		'type'        => 'dropdown-pages',
		)
	);
}

// Button Text
$wp_customize->add_setting( 'theme_options[featured_classes_button_text]',
	array(
	'default'           => $default['featured_classes_button_text'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	'transport'         => 'refresh',
	)
);

$wp_customize->add_control( 'theme_options[featured_classes_button_text]',
	array(
	'label'    => __( 'Button Text', 'unikids' ),
	'section'  => 'section_featured_classes',
	'type'     => 'text',
	)
);